RunningInstanceManager (Resource Management Library 2.6.0-3.10.0 API)
Date: 2016-02-09

org.gcube.resourcemanagement.support.server.managers.resources

## Class RunningInstanceManager

- java.lang.Object
- - org.gcube.resourcemanagement.support.server.managers.resources.AbstractResourceManager
  - - org.gcube.resourcemanagement.support.server.managers.resources.RunningInstanceManager

-     public class RunningInstanceManager
      extends AbstractResourceManager

  Author:
    Daniele Strollo (ISTI-CNR), Massimiliano Assante (ISTI-CNR)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RunningInstanceManager()` Deprecated. discouraged use. With no ID some operations cannot be accessed.
    `RunningInstanceManager(String id)`
    `RunningInstanceManager(String id, String name)`
    `RunningInstanceManager(String id, String name, String subType)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected org.gcube.common.resources.gcore.Resource` | `buildResource(String xmlRepresentation)` Given the XML profile representation of a gcube resource, its GCUBEResource is built.
    `String` | `checkDeployStatus(org.gcube.common.scope.impl.ScopeBean scope, String deployID)`
    `String` | `deploy(org.gcube.common.scope.impl.ScopeBean scope, String[] ghnsID, String[] servicesID)`
    `String` | `undeploy(org.gcube.common.scope.impl.ScopeBean scope)`

    - ### Methods inherited from class org.gcube.resourcemanagement.support.server.managers.resources.AbstractResourceManager

      `addToExistingScope, copyFromToVO, delete, forceDelete, getID, getName, getRegistryPublisher, getReportResourceManager, getResource, getResourceManager, getSubType, getType, getXMLDescription, removeFromScope, setID, validateScopes`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### RunningInstanceManager

          public RunningInstanceManager()
                                 throws ResourceParameterException,
                                        ResourceAccessException

      Deprecated. discouraged use. With no ID some operations cannot be accessed.
      Throws:
        `ResourceParameterException`
        `ResourceAccessException`

    - #### RunningInstanceManager

          public RunningInstanceManager(String id)
                                 throws ResourceParameterException,
                                        ResourceAccessException

      Throws:
        `ResourceParameterException`
        `ResourceAccessException`

    - #### RunningInstanceManager

          public RunningInstanceManager(String id,
                                String name)
                                 throws ResourceParameterException,
                                        ResourceAccessException

      Throws:
        `ResourceParameterException`
        `ResourceAccessException`

    - #### RunningInstanceManager

          public RunningInstanceManager(String id,
                                String name,
                                String subType)
                                 throws ResourceParameterException,
                                        ResourceAccessException

      Throws:
        `ResourceParameterException`
        `ResourceAccessException`

  - ### Method Detail

    - #### deploy

          public final String deploy(org.gcube.common.scope.impl.ScopeBean scope,
                      String[] ghnsID,
                      String[] servicesID)
                              throws ResourceParameterException,
                                     ResourceOperationException

      Parameters:
        `scope` -
        `ghnsID` -
        `servicesID` -
      Returns:
      Throws:
        `ResourceParameterException`
        `ResourceOperationException`

    - #### undeploy

          public final String undeploy(org.gcube.common.scope.impl.ScopeBean scope)
                                throws AbstractResourceException

      Parameters:
        `scope` -
      Returns:
      Throws:
        `AbstractResourceException`

    - #### checkDeployStatus

          public final String checkDeployStatus(org.gcube.common.scope.impl.ScopeBean scope,
                                 String deployID)
                                         throws AbstractResourceException

      Throws:
        `AbstractResourceException`

    - #### buildResource

          protected final org.gcube.common.resources.gcore.Resource buildResource(String xmlRepresentation)
                                                                           throws AbstractResourceException

      Description copied from class: `AbstractResourceManager`
      Given the XML profile representation of a gcube resource, its GCUBEResource is built. Since it depends on the type of the resource, each concrete implementation of resource managers must implement it.
      Specified by:
        `buildResource` in class `AbstractResourceManager`
      Returns:
      Throws:
        `AbstractResourceException`

Copyright © 2016. All Rights Reserved.